export declare const RECOMMENDATION_BAN = "m.ban";
export declare const RECOMMENDATION_BAN_TYPES: string[];
export declare function recommendationToStable(recommendation: string, unstable?: boolean): string | null;
export declare class ListRule {
    private _glob;
    private readonly _entity;
    private readonly _action;
    private readonly _reason;
    private readonly _kind;
    constructor(entity: string, action: string, reason: string, kind: string);
    get entity(): string;
    get reason(): string;
    get kind(): string;
    get recommendation(): string | null;
    isMatch(entity: string): boolean;
}
